Bug 1193686 - (CVE-2021-43815) VUL-1: CVE-2021-43815: grafana: directory traversal for .csv files
(CVE-2021-43815)
VUL-1: CVE-2021-43815: grafana: directory traversal for .csv files
Status: RESOLVED INVALID
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P5 - None : Normal
: ---
Assigned To: E-Mail List
Security Team bot
https://smash.suse.de/issue/317106/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-13 15:36 UTC by Carlos López
Modified: 2022-11-17 15:28 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos López 2021-12-13 15:36:06 UTC
CVE-2021-43815

Grafana is an open-source platform for monitoring and observability. Grafana
prior to versions 8.3.2 and 7.5.12 has a directory traversal for arbitrary .csv
files. It only affects instances that have the developer testing tool called
TestData DB data source enabled and configured. The vulnerability is limited in
scope, and only allows access to files with the extension .csv to authenticated
users only. Grafana Cloud instances have not been affected by the vulnerability.
Versions 8.3.2 and 7.5.12 contain a patch for this issue. There is a workaround
available for users who cannot upgrade. Running a reverse proxy in front of
Grafana that normalizes the PATH of the request will mitigate the vulnerability.
The proxy will have to also be able to handle url encoded paths.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-43815
http://seclists.org/oss-sec/2021/q4/153
https://github.com/grafana/grafana/security/advisories/GHSA-7533-c8qv-jm9m
https://github.com/grafana/grafana/commit/d6ec6f8ad28f0212e584406730f939105ff6c6d3
https://github.com/grafana/grafana/releases/tag/v8.3.2
https://github.com/grafana/grafana/commit/fd48aee61e4328aae8d5303a9efd045fa0ca308d
http://www.cvedetails.com/cve/CVE-2021-43815/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-43815
https://grafana.com/blog/2021/12/10/grafana-8.3.2-and-7.5.12-released-with-moderate-severity-security-fix/
Comment 1 Carlos López 2021-12-13 15:37:50 UTC
This vulnerability was originally split-off from CVE-2021-43813.

As per the upstream advisory [0], this only affects grafana >= 8.0.0-beta3, which I verified. Closing the issue, since we only ship older versions.

[0] https://github.com/grafana/grafana/security/advisories/GHSA-7533-c8qv-jm9m
Comment 4 Swamp Workflow Management 2022-10-20 16:22:49 UTC
SUSE-SU-2022:3676-1: An update that fixes 14 vulnerabilities, contains four features is now available.

Category: security (important)
Bug References: 1188571,1189520,1192383,1192763,1193492,1193686,1194873,1195726,1195727,1195728,1201535,1201539,1203596,1203597
CVE References: CVE-2021-36222,CVE-2021-3711,CVE-2021-41174,CVE-2021-41244,CVE-2021-43798,CVE-2021-43815,CVE-2022-21673,CVE-2022-21702,CVE-2022-21703,CVE-2022-21713,CVE-2022-31097,CVE-2022-31107,CVE-2022-35957,CVE-2022-36062
JIRA References: PED-2145,SLE-23422,SLE-23439,SLE-24565
Sources used:
SUSE Enterprise Storage 6 (src):    grafana-8.5.13-150100.3.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.